com.sun.source.tree

## Interface TypeParameterTree

All Superinterfaces:
  Tree

    public interface TypeParameterTree
    extends Tree

A tree node for a type parameter. For example:

       name

       name extends bounds

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 4.4"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`List<? extends Tree>` `getBounds()`
`Name` `getName()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getName

    Name getName()

#### getBounds

    List<? extends Tree> getBounds()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.